| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# userinput

$Revision: 1.3 $

$Date: 2002/06/12 11:18:42 $

userinput — Data entered by the user

## Synopsis

### Mixed Content Model

    userinput ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     command|computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     remark|subscript|superscript|inlinegraphic|inlinemediaobject|
     indexterm|beginpage|co)*

### Attributes

Common attributes

Name | Type | Default
moreinfo |
Enumeration:
none
refentry
| "none"

## Description

The `UserInput` element identifies words or phrases that the user is expected to provide as input to a computer program.

Note that `UserInput` is not a verbatim environment, but an inline.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information. Often presented in a fixed width font.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain userinput: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in userinput: `action`, `anchor`, `application`, `beginpage`, `classname`, `co`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `type`, `ulink`, `userinput`, `varname`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `UserInput`.

## See Also

`computeroutput`, `constant`, `envar`, `filename`, `lineannotation`, `literal`, `literallayout`, `markup`, `option`, `optional`, `parameter`, `programlisting`, `prompt`, `replaceable`, `screen`, `screenshot`, `sgmltag`, `synopsis`, `systemitem`, `varname`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    At the system prompt, enter <userinput>xyzzy</userinput> to gain
    supervisor access to the system.
    </para>

At the system prompt, enter `xyzzy` to gain supervisor access to the system.

ulink |  | varargs

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.